1

Topic: Doubts over Upgrading to latest version

Hi Zhb

Using CentOs and IRedadminProldap 2.0

I have some doubts over upgrade to 2.1.1

I am using Base version 0.8.5 so i need to upgrade this to 0.8.6 before upgrading IRedProLdap 2.0 to 2.1.1.Presently using 2.0.
You had already said to me that 'no need to download 2.1 version for upgrading from 2.0 to 2.1,you can achieve the same using 2.1.1 package,for this first  i have to follow 2.0 to 2.1 tutorial  and then 2.1.1 using 2.1.1 package
In upgrade tutorial for 0.8.5 to 0.8.6 ,it is  mentioned that "This step is required if you're running Cluebringer. And please skip this step if you're running Policyd-1.8. "

when i checked using rpm -qa i didn't find cluebringer package, but found policyd 1.82-6 version.So i need to skip both cluebringer section in base upgrade from 0.8.5 to 0.8.6.
i.e, Alter Cluebringer database  & Add cron job to cleanup Cluebringer database

Here is my doubt,if i am not running cluebringer in base package ,why should i need to run below step while  upgrading from  iRedaminProldap 2.1 to 2.1.1?

python /var/www/iredadmin/tools/sync_cluebringer_internal_domains.py

will this script take care the steps that i skipped in Base version upgrade? (i.e cluebringer database inclusion)

Second question,I am using roundcube 0.8.2, if i am keeping the same version in all upgrade, will this create any issue with  every latest iredmail base package upgrade?

Please advise me i am stuck on this upgrade

2

Re: Doubts over Upgrading to latest version

bijuedathodi wrote:

Here is my doubt,if i am not running cluebringer in base package ,why should i need to run below step while  upgrading from  iRedaminProldap 2.1 to 2.1.1?
python /var/www/iredadmin/tools/sync_cluebringer_internal_domains.py

You don't need this step since you don't have Cluebringer.

bijuedathodi wrote:

Second question,I am using roundcube 0.8.2, if i am keeping the same version in all upgrade, will this create any issue with  every latest iredmail base package upgrade?

You can stay with Roundcube 0.8.2, no issue at all.